import targets.HasHelloWorld;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;

public class Application {

    public static void main(String[] args) throws ClassNotFoundException, NoSuchMethodException, InvocationTargetException, InstantiationException, IllegalAccessException, IOException {
        String targetClassName = "targets." + getClassName();
        Class<?> clazz = Class.forName(targetClassName);
        HasHelloWorld obj = (HasHelloWorld) clazz.getConstructor().newInstance();
        System.out.println(obj.helloWorld());
    }

    public static String getClassName() throws IOException {
        String line = null;
        try (BufferedReader br = new BufferedReader(new FileReader("prefs.txt"))) {
            StringBuilder sb = new StringBuilder();
            line = br.readLine();
        }
            return line.substring(0,1);
    }
}
